# class Gtk::RecentChooserDialog

### Public Class Methods

new(options={}) click to toggle source

    # File lib/gtk3/recent-chooser-dialog.rb, line 20
    def initialize(options={})
      initialize_options = {
        :recent_manager => options[:recent_manager],
      }
      gobject_initialize = GLib::Object.instance_method(:initialize).bind(self)
      gobject_initialize.call(initialize_options)
      Loader.reference_gobject(self, :sink => true)

      title = options[:title]
      parent = options[:parent]
      buttons = options[:buttons]

      set_title(title) if title
      set_transient_for(parent) if parent

      add_buttons(*buttons) if buttons
    end

Also aliased as: initialize_raw

### Public Instance Methods

initialize_raw(options={})
Alias for: new